Get job title

Prev Next

Available in Classic and VPC

Get job title details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncloudmcc/v1/companies/{companyId}/job-grades/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Job title external key

Request example

The request example is as follows:

curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/job-grades/hg-grade-1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
jobGrade Object - Job Title Information
jobGrade.name String - Job title name
jobGrade.i18nNames Object - Job title multilingual name
jobGrade.i18nNames.{locale} String - Job title name by language
  • "Language code": "Value" format
  • Display the registered value among Korean, English, and Japanese.
jobGrade.sortOrd Number - Query display order
jobGrade.externalKey String - Job title external key

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

The response example is as follows:

{
    "jobGrade": {
        "name": "Supervisor",
        "i18nNames": {
            "ko_KR": "수퍼바이저",
            "en_US": "Supervisor"
        },
        "sortOrd": 1,
        "externalKey": "hg-grade-1"
    }
}